import ILoggerConfiguration from "./interface/ILoggerConfiguration";
/**
 * Uses different strategies to submit logs to log server via Service facade.
 */
export default class AdvancedLogger {
    private configuration;
    private strategy;
    private service;
    private logStore;
    constructor(configuration: ILoggerConfiguration);
    log(log: any): void;
    /**
     * Forces strategy to initiate logs sending
     */
    sendAllLogs(): void;
    destroy(): void;
    private onStoreError;
    private onAdd;
    private onClear;
    private onStrategyError;
    private onSend;
}
